This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 651475

Summary: Cannot start vnc installation on s390x
Product: [Fedora] Fedora Reporter: Jan Stodola <jstodola>
Component: anacondaAssignee: Karsten Hopp <karsten>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 14CC: anaconda-maint-list, dan, jonathan, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: s390x   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-11-18 09:52:26 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 467765    
Attachments:
Description Flags
/tmp/*log none

Description Jan Stodola 2010-11-09 11:46:38 EST
Created attachment 459183 [details]
/tmp/*log

Description of problem:
When trying to install F14 on s390x using vnc mode, installation shuts down after user selects vnc mode.

/tmp/vncserver.log contains:

Xvnc TigerVNC 1.0.90 - built Oct  7 2010 05:30:20
Copyright (C) 2002-2005 RealVNC Ltd.
Copyright (C) 2000-2006 Constantin Kaplinsky
Copyright (C) 2004-2009 Peter Astrand for Cendio AB
See http://www.tigervnc.org for information on TigerVNC.
Underlying X server release 10900000, The X.Org Foundation


Tue Nov  9 16:38:50 2010
 vncext:      VNC extension running!
 vncext:      Listening for VNC connections on all interface(s), port 5901
 vncext:      created VNC server for screen 0
[dix] Could not init font path element catalogue:/etc/X11/fontpath.d, removing from list!
syntax error: line 8 of stdin
Errors encountered in stdin; not compiled.
(EE) Error compiling keymap (server-1)
(EE) XKB: Couldn't compile keymap
XKB: Failed to compile keymap
Keyboard initialization failed. This could be a missing or incorrect setup of xkeyboard-config.

Fatal server error:
Failed to activate core devices.


Version-Release number of selected component (if applicable):
installation tree from http://secondary.fedoraproject.org/pub/alt/spins/S390/current/
anaconda 14.17.2 (kernel, initrd.img and install.img from 20-Oct-2010)

How reproducible:
always

Steps to Reproduce:
1. start installation in z/VM
2. connect using ssh to start the installation
3. select vnc mode when asked (with or without password)
  
Actual results:
vnc server doesn't start, system shuts down

Expected results:
vncserver is running

Additional info:
Comment 1 Dan HorĂ¡k 2010-11-09 12:23:53 EST
IIRC it's a know issue, assigning to Karsten who works on it.
Comment 2 Karsten Hopp 2010-11-18 09:52:26 EST

*** This bug has been marked as a duplicate of bug 653436 ***